GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Macros | Functions
stream_encoder.h File Reference
`#include "src/core/transport/chttp2/frame.h"`
`#include "src/core/transport/metadata.h"`
`#include "src/core/transport/stream_op.h"`
`#include <grpc/support/port_platform.h>`
`#include <grpc/support/slice.h>`
`#include <grpc/support/slice_buffer.h>`

Go to the source code of this file.

## Data Structures
struct | grpc_chttp2_hpack_compressor

## Macros
#define | GRPC_CHTTP2_HPACKC_NUM_FILTERS 256
#define | GRPC_CHTTP2_HPACKC_NUM_VALUES 256
#define | GRPC_CHTTP2_HPACKC_MAX_TABLE_ELEMS (4096 / 32)

## Functions
void | grpc_chttp2_hpack_compressor_init (grpc_chttp2_hpack_compressor *c, grpc_mdctx *mdctx)
void | grpc_chttp2_hpack_compressor_destroy (grpc_chttp2_hpack_compressor *c)
gpr_uint32 | grpc_chttp2_preencode (grpc_stream_op *inops, size_t *inops_count, gpr_uint32 max_flow_controlled_bytes, grpc_stream_op_buffer *outops)
void | grpc_chttp2_encode (grpc_stream_op *ops, size_t ops_count, int eof, gpr_uint32 stream_id, grpc_chttp2_hpack_compressor *compressor, gpr_slice_buffer *output)

## Macro Definition Documentation

#define GRPC_CHTTP2_HPACKC_MAX_TABLE_ELEMS (4096 / 32)

#define GRPC_CHTTP2_HPACKC_NUM_FILTERS 256

#define GRPC_CHTTP2_HPACKC_NUM_VALUES 256

## Function Documentation

void grpc_chttp2_encode | ( | grpc_stream_op * | ops,
|  | size_t | ops_count,
|  | int | eof,
|  | gpr_uint32 | stream_id,
|  | grpc_chttp2_hpack_compressor * | compressor,
|  | gpr_slice_buffer * | output
| ) |  |

void grpc_chttp2_hpack_compressor_destroy | ( | grpc_chttp2_hpack_compressor * | c | ) |

void grpc_chttp2_hpack_compressor_init | ( | grpc_chttp2_hpack_compressor * | c,
|  | grpc_mdctx * | mdctx
| ) |  |

gpr_uint32 grpc_chttp2_preencode | ( | grpc_stream_op * | inops,
|  | size_t * | inops_count,
|  | gpr_uint32 | max_flow_controlled_bytes,
|  | grpc_stream_op_buffer * | outops
| ) |  |